# Quick Settings
Android Quick Settings Tiles

### Current Features:
 - Media control (play/pause, next, previous, media volume)
 - Show volume panel
 - New event/alarm/timer
 - Make call
 - Take photo/record video
 - Open calculator/file manager
 - Open custom apps
 - Search settings
 - Open languages
 - Open dictionary/privacy
 - Open VPN/data usage/screen cast/connected devices/about
 - Set screen timeout
 - Switch volume modes (normal, vibrate, priority only, alarms only, total silence)
 - Adjust brightness
 - Adaptive brightness toggle
 - Grayscale
 - Take screenshot
 - Force rotation (0°, 90°, 180°, 270°)
 - Lock screen
 - Split screen
 - Set vibration on calls
 - Open power menu
 - Show battery level
 - Counter
 - Enable/disable USB debugging
 - Enable/Disable demo mode
 - Open developer options
 - Enable/Disable keep screen on
 - Set animator duration scale
 - Disable all animations
 - Always finish activities

### Todo:
 - Add customizations to "Demo Mode" from https://github.com/adriangl/Dev-QuickSettings/tree/feature/settings
 - Add JobServices to check if the system settings were manually changed by the user
 - Fix the delay after a tile is pressed

### Download
[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
     alt="Get it on F-Droid"
     height="80">](https://f-droid.org/packages/com.asdoi.quicktiles/)

 ### Screenshots:
<img src="https://gitlab.com/asdoi/quick-tiles/-/raw/master/fastlane/metadata/android/en/images/phoneScreenshots/1.png?inline=false" width=270>
<img src="https://gitlab.com/asdoi/quick-tiles/-/raw/master/fastlane/metadata/android/en/images/phoneScreenshots/2.png?inline=false" width=270>

### Credits:
App icon made by <a href="https://www.flaticon.com/authors/freepik" title="Freepik">Freepik</a> from <a href="https://www.flaticon.com/" title="Flaticon"> www.flaticon.com</a>
<br>
Toggle-split-screen icon made by <a href="https://www.flaticon.com/authors/smashicons" title="Smashicons">Smashicons</a> from <a href="https://www.flaticon.com/" title="Flaticon">www.flaticon.com</a>
<br>
Following projects were used:
<ul>
    <li><a href="https://github.com/mustafa01ali/Dev-Tiles">Dev-Tiles</a> by Mustafa Ali under <a href="https://www.apache.org/licenses/LICENSE-2.0.txt">Apache License 2.0</a></li>
    <li><a href="https://github.com/adriangl/Dev-QuickSettings">Dev-QuickSettings</a> by Adrián García under <a href="https://www.apache.org/licenses/LICENSE-2.0.txt">Apache License 2.0</a></li>
    <li><a href="https://github.com/rascarlo/AdaptiveBrightnessTile">Adaptive Brightness Tile</a> by rascarlo under <a href="https://www.gnu.org/licenses/gpl-3.0.txt">GNU GPLv3</a></li>
    <li><a href="https://github.com/rascarlo/PowerButtonTile">PowerButtonTile</a> by rascarlo under <a href="https://www.gnu.org/licenses/gpl-3.0.txt">GNU GPLv3</a></li>
    <li><a href="https://github.com/fei-ke/Greyscale">Greyscale</a> by fei-ke under <a href="https://www.apache.org/licenses/LICENSE-2.0.txt">Apache License 2.0</a></li>
</ul>
